Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class TransactionAgents3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.TransactionAgents3

    public class TransactionAgents3
    extends java.lang.Object

Java class for TransactionAgents3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionAgents3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}BranchAndFinancialInstitutionIdentification5" minOccurs="0"/>
             <element name="CdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}BranchAndFinancialInstitutionIdentification5" minOccurs="0"/>
             <element name="IntrmyAgt1" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}BranchAndFinancialInstitutionIdentification5" minOccurs="0"/>
             <element name="IntrmyAgt2" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}BranchAndFinancialInstitutionIdentification5" minOccurs="0"/>
             <element name="IntrmyAgt3" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}BranchAndFinancialInstitutionIdentification5" minOccurs="0"/>
             <element name="RcvgAgt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}BranchAndFinancialInstitutionIdentification5" minOccurs="0"/>
             <element name="DlvrgAgt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}BranchAndFinancialInstitutionIdentification5" minOccurs="0"/>
             <element name="IssgAgt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}BranchAndFinancialInstitutionIdentification5" minOccurs="0"/>
             <element name="SttlmPlc" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}BranchAndFinancialInstitutionIdentification5" minOccurs="0"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ProprietaryAgent3" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected BranchAndFinancialInstitutionIdentification5` `cdtrAgt`
`protected BranchAndFinancialInstitutionIdentification5` `dbtrAgt`
`protected BranchAndFinancialInstitutionIdentification5` `dlvrgAgt`
`protected BranchAndFinancialInstitutionIdentification5` `intrmyAgt1`
`protected BranchAndFinancialInstitutionIdentification5` `intrmyAgt2`
`protected BranchAndFinancialInstitutionIdentification5` `intrmyAgt3`
`protected BranchAndFinancialInstitutionIdentification5` `issgAgt`
`protected java.util.List<ProprietaryAgent3>` `prtry`
`protected BranchAndFinancialInstitutionIdentification5` `rcvgAgt`
`protected BranchAndFinancialInstitutionIdentification5` `sttlmPlc`

### Constructor Summary

Constructors
`TransactionAgents3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BranchAndFinancialInstitutionIdentification5` `getCdtrAgt()` Gets the value of the cdtrAgt property.
`BranchAndFinancialInstitutionIdentification5` `getDbtrAgt()` Gets the value of the dbtrAgt property.
`BranchAndFinancialInstitutionIdentification5` `getDlvrgAgt()` Gets the value of the dlvrgAgt property.
`BranchAndFinancialInstitutionIdentification5` `getIntrmyAgt1()` Gets the value of the intrmyAgt1 property.
`BranchAndFinancialInstitutionIdentification5` `getIntrmyAgt2()` Gets the value of the intrmyAgt2 property.
`BranchAndFinancialInstitutionIdentification5` `getIntrmyAgt3()` Gets the value of the intrmyAgt3 property.
`BranchAndFinancialInstitutionIdentification5` `getIssgAgt()` Gets the value of the issgAgt property.
`java.util.List<ProprietaryAgent3>` `getPrtry()` Gets the value of the prtry property.
`BranchAndFinancialInstitutionIdentification5` `getRcvgAgt()` Gets the value of the rcvgAgt property.
`BranchAndFinancialInstitutionIdentification5` `getSttlmPlc()` Gets the value of the sttlmPlc property.
`void` `setCdtrAgt​(BranchAndFinancialInstitutionIdentification5 value)` Sets the value of the cdtrAgt property.
`void` `setDbtrAgt​(BranchAndFinancialInstitutionIdentification5 value)` Sets the value of the dbtrAgt property.
`void` `setDlvrgAgt​(BranchAndFinancialInstitutionIdentification5 value)` Sets the value of the dlvrgAgt property.
`void` `setIntrmyAgt1​(BranchAndFinancialInstitutionIdentification5 value)` Sets the value of the intrmyAgt1 property.
`void` `setIntrmyAgt2​(BranchAndFinancialInstitutionIdentification5 value)` Sets the value of the intrmyAgt2 property.
`void` `setIntrmyAgt3​(BranchAndFinancialInstitutionIdentification5 value)` Sets the value of the intrmyAgt3 property.
`void` `setIssgAgt​(BranchAndFinancialInstitutionIdentification5 value)` Sets the value of the issgAgt property.
`void` `setRcvgAgt​(BranchAndFinancialInstitutionIdentification5 value)` Sets the value of the rcvgAgt property.
`void` `setSttlmPlc​(BranchAndFinancialInstitutionIdentification5 value)` Sets the value of the sttlmPlc property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dbtrAgt

    protected BranchAndFinancialInstitutionIdentification5 dbtrAgt

#### cdtrAgt

    protected BranchAndFinancialInstitutionIdentification5 cdtrAgt

#### intrmyAgt1

    protected BranchAndFinancialInstitutionIdentification5 intrmyAgt1

#### intrmyAgt2

    protected BranchAndFinancialInstitutionIdentification5 intrmyAgt2

#### intrmyAgt3

    protected BranchAndFinancialInstitutionIdentification5 intrmyAgt3

#### rcvgAgt

    protected BranchAndFinancialInstitutionIdentification5 rcvgAgt

#### dlvrgAgt

    protected BranchAndFinancialInstitutionIdentification5 dlvrgAgt

#### issgAgt

    protected BranchAndFinancialInstitutionIdentification5 issgAgt

#### sttlmPlc

    protected BranchAndFinancialInstitutionIdentification5 sttlmPlc

#### prtry

    protected java.util.List<ProprietaryAgent3> prtry

### Constructor Detail

#### TransactionAgents3

    public TransactionAgents3()

### Method Detail

#### getDbtrAgt

    public BranchAndFinancialInstitutionIdentification5 getDbtrAgt()

Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification5`

#### setDbtrAgt

    public void setDbtrAgt​(BranchAndFinancialInstitutionIdentification5 value)

Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification5`

#### getCdtrAgt

    public BranchAndFinancialInstitutionIdentification5 getCdtrAgt()

Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification5`

#### setCdtrAgt

    public void setCdtrAgt​(BranchAndFinancialInstitutionIdentification5 value)

Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification5`

#### getIntrmyAgt1

    public BranchAndFinancialInstitutionIdentification5 getIntrmyAgt1()

Gets the value of the intrmyAgt1 property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification5`

#### setIntrmyAgt1

    public void setIntrmyAgt1​(BranchAndFinancialInstitutionIdentification5 value)

Sets the value of the intrmyAgt1 property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification5`

#### getIntrmyAgt2

    public BranchAndFinancialInstitutionIdentification5 getIntrmyAgt2()

Gets the value of the intrmyAgt2 property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification5`

#### setIntrmyAgt2

    public void setIntrmyAgt2​(BranchAndFinancialInstitutionIdentification5 value)

Sets the value of the intrmyAgt2 property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification5`

#### getIntrmyAgt3

    public BranchAndFinancialInstitutionIdentification5 getIntrmyAgt3()

Gets the value of the intrmyAgt3 property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification5`

#### setIntrmyAgt3

    public void setIntrmyAgt3​(BranchAndFinancialInstitutionIdentification5 value)

Sets the value of the intrmyAgt3 property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification5`

#### getRcvgAgt

    public BranchAndFinancialInstitutionIdentification5 getRcvgAgt()

Gets the value of the rcvgAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification5`

#### setRcvgAgt

    public void setRcvgAgt​(BranchAndFinancialInstitutionIdentification5 value)

Sets the value of the rcvgAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification5`

#### getDlvrgAgt

    public BranchAndFinancialInstitutionIdentification5 getDlvrgAgt()

Gets the value of the dlvrgAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification5`

#### setDlvrgAgt

    public void setDlvrgAgt​(BranchAndFinancialInstitutionIdentification5 value)

Sets the value of the dlvrgAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification5`

#### getIssgAgt

    public BranchAndFinancialInstitutionIdentification5 getIssgAgt()

Gets the value of the issgAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification5`

#### setIssgAgt

    public void setIssgAgt​(BranchAndFinancialInstitutionIdentification5 value)

Sets the value of the issgAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification5`

#### getSttlmPlc

    public BranchAndFinancialInstitutionIdentification5 getSttlmPlc()

Gets the value of the sttlmPlc property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification5`

#### setSttlmPlc

    public void setSttlmPlc​(BranchAndFinancialInstitutionIdentification5 value)

Sets the value of the sttlmPlc property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification5`

#### getPrtry

    public java.util.List<ProprietaryAgent3> getPrtry()

Gets the value of the prtry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prtry property.

For example, to add a new item, do as follows:

        getPrtry().add(newItem);

Objects of the following type(s) are allowed in the list `ProprietaryAgent3`